Subject: Re: Telling flow-packets and datagrams apart

From: [email-masked] (Noel Chiappa)
Date: Wed, 12 Nov 97 17:43:05 -0500

From: Gunnar Karlsson <[email-masked]>

    When doing fast packet forwarding, it would be useful to be able to tell
    a datagram apart from a packet belonging to a flow ... I would simply
    like one of the ToS bits to tell whether a packet is a (best effort)
    datagram or part of a (QoS) flow.

This isn't a bad idea, but there's a better bit to use, the unused bit in the
3-bit "Flag" field. (This is the same bit that it was proposed to use for the
DEC congestion algorithm, if memory serves.) One minor bug with this is that I
have this bit set that some routers will barf if packets show up with that bit
set.

	Noel